Package org.eclipse.jdi

# Interface VirtualMachine

public interface VirtualMachine

## Method Summary

Modifier and Type
Method
Description
`int`
`getRequestTimeout()`
`void`
`setRequestTimeout(int timeout)`
Sets request timeout in milliseconds

## Method Details

### setRequestTimeout

void setRequestTimeout(int timeout)
Sets request timeout in milliseconds

Parameters:
  `timeout` - the timeout for the request

### getRequestTimeout

int getRequestTimeout()

Returns:
  Returns request timeout in milliseconds